Bug 1897791 - Translations disappeared from terminator 2.0.1 package
Summary: Translations disappeared from terminator 2.0.1 package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: terminator
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-14 14:19 UTC by jneun1
Modified: 2021-01-13 01:58 UTC (History)
2 users (show)

Fixed In Version: terminator-2.1.0-1.fc32 terminator-2.1.0-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-13 01:35:42 UTC
Type: Bug


Attachments (Terms of Use)

Description jneun1 2020-11-14 14:19:07 UTC
Description of problem:
The translations of the terminator package were removed with the update from version 1.92 to 2.0.1, even though the .po files are still present in the upstream sources.

Version-Release number of selected component (if applicable):
terminator-2.0.1-1.fc32.src.rpm


How reproducible:

Steps to Reproduce:
1. Install or update to terminator 2.0.1.
2. Have a system language that is not English.
3. Start terminator, right-click the window.

Actual results:
The dropdown menu is shown in English.

Expected results:
The dropdown menu is shown in whatever the system language is (provided there is a translation in the upstream sources).

Additional info:
The Fedora 33 package (terminator-2.0.1-1.fc33.src.rpm) is also affected.

Comment 1 Matt Rose 2020-11-14 16:41:10 UTC
lemme know if you need any help with this, Dominic.

Comment 2 Fedora Update System 2021-01-04 21:03:50 UTC
FEDORA-2021-c16b92b123 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c16b92b123

Comment 3 Fedora Update System 2021-01-04 21:03:51 UTC
FEDORA-2021-c78e92d402 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c78e92d402

Comment 4 Fedora Update System 2021-01-05 01:13:10 UTC
FEDORA-2021-c78e92d402 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-c78e92d402`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c78e92d402

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-01-05 01:58:18 UTC
FEDORA-2021-c16b92b123 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-c16b92b123`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c16b92b123

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-01-13 01:35:42 UTC
FEDORA-2021-c16b92b123 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2021-01-13 01:58:59 UTC
FEDORA-2021-c78e92d402 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.